## smallerc 1.0.1+dfsg

=== debian/changelog ===
smallerc (1.0.1+dfsg-2) unstable; urgency=medium

  * Actually upload to unstable...

 -- Stephen Kitt <skitt@debian.org>  Wed, 24 Apr 2024 23:34:55 +0200

smallerc (1.0.1+dfsg-1) experimental; urgency=medium

  * Source-only upload to unstable after NEW.
  * Standards-Version 4.7.0, no change required.
  * Install the documentation.

 -- Stephen Kitt <skitt@debian.org>  Wed, 24 Apr 2024 20:46:12 +0200

smallerc (1.0.1+dfsg-1~exp1) experimental; urgency=medium

  * Initial release. Closes: #1065664.

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Mar 2024 06:22:03 +0100

## smallerc 1.0.1+git20240427.b120a9c+dfsg

=== debian/changelog ===
smallerc (1.0.1+git20240427.b120a9c+dfsg-1) unstable; urgency=medium

  * New upstream snapshot, merging build-flags.patch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Jun 2024 10:44:23 +0200

## smallerc 1.0.2%2Bdfsg

=== ucpp/Makefile ===
# Makefile for ucpp
#
# (c) Thomas Pornin 1999 - 2002
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 4. The name of the authors may not be used to endorse or promote
#    products derived from this software without specific prior written
#    permission.
#
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR 
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
# OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR 
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

.POSIX:

# ----- user configurable part -----

# Edit the variables to suit your system.
#
#   use -DAUDIT to enable some internal sanity checks
#   use -DMEM_CHECK to check the return value of malloc()
#      (superseded by AUDIT)
#   use -DMEM_DEBUG to enable memory leak research (warning: this
#      slows down ucpp a bit, and greatly increases memory consumption)
#   use -DINLINE=foobar to enable use of the 'foobar'
#      non standard qualifier, as an equivalent to the C99 'inline'
#      qualifier. See tune.h for details.
#
# Two FLAGS lines are given for each system type; chose the first one for
# debug, the second one for a fast binary.

# for a generic compiler called cc
#CC = cc
#FLAGS = -DAUDIT
#FLAGS = -O -DMEM_CHECK

# for Minix-86
#CC = cc
#LDFLAGS = -i
#FLAGS = -m -DAUDIT
#FLAGS = -O -m -DMEM_CHECK

# for gcc
CC = gcc
FLAGS = -O3 -W -Wall -ansi
#FLAGS = -g -W -Wall -ansi -DAUDIT -DMEM_DEBUG
#FLAGS = -O3 -mcpu=pentiumpro -fomit-frame-pointer -W -Wall -ansi -DMEM_CHECK
#FLAGS = -O -pg -W -Wall -ansi -DMEM_CHECK
#LDFLAGS = -pg

# for the Compaq C compiler on Alpha/Linux
#CC = ccc
#FLAGS = -w0 -g -DAUDIT
#FLAGS = -w0 -fast -DMEM_CHECK

# for the Sun Workshop C Compiler
#CC = cc
#FLAGS = -g -Xa -DAUDIT
#FLAGS = -Xa -fast -DMEM_CHECK

# flags for the link step
LIBS =
#LIBS = libefence.a
#LIBS = -lgc_dbg

STAND_ALONE = -DSTAND_ALONE

ifdef STAND_ALONE
	CSRC = mem.c nhash.c cpp.c lexer.c assert.c macro.c eval.c arith.c
	FINAL_STEP = $(CC) $(LDFLAGS) -DUCPP_CONFIG $(STAND_ALONE) -o ucpp $(CSRC) $(LIBS)
endif

# ----- nothing should be changed below this line -----

COBJ = mem.o nhash.o cpp.o lexer.o assert.o macro.o eval.o arith.o
CFLAGS = $(FLAGS)

all: ucpp
	@ar cq libucpp.a *.o

clean:
	@rm -f *.o ucpp core *.a

ucpp: $(COBJ)
	@$(FINAL_STEP)

assert.o: tune.h ucppi.h cpp.h nhash.h mem.h
	@$(CC) $(CFLAGS) -c assert.c
cpp.o: tune.h ucppi.h cpp.h nhash.h mem.h
	@$(CC) $(CFLAGS) -c cpp.c
eval.o: tune.h ucppi.h cpp.h nhash.h mem.h arith.h
	@$(CC) $(CFLAGS) -c eval.c
arith.o: tune.h arith.h
	@$(CC) $(CFLAGS) -c arith.c
lexer.o: tune.h ucppi.h cpp.h nhash.h mem.h
	@$(CC) $(CFLAGS) -c lexer.c
macro.o: tune.h ucppi.h cpp.h nhash.h mem.h
	@$(CC) $(CFLAGS) -c macro.c
mem.o: mem.h
	@$(CC) $(CFLAGS) -c mem.c
nhash.o: nhash.h mem.h
	@$(CC) $(CFLAGS) -c nhash.c

## smallerc 1.0.2+dfsg

=== Makefile ===
srcdir != readlink -f $(.PARSEDIR)/$(.PARSEFILE) | sed 's@[^/]*$$@v0100@'
.PATH: $(srcdir) $(srcdir)/srclib
PATH := $(.CURDIR):$(PATH)
.export PATH
.include "$(srcdir)/../common.mk"

=== debian/changelog ===
smallerc (1.0.2+dfsg-1) unstable; urgency=medium

  * The previous snapshot was released as 1.0.2.

 -- Stephen Kitt <skitt@debian.org>  Sat, 24 Aug 2024 21:44:16 +0200

=== debian/control ===
Source: smallerc
Maintainer: Stephen Kitt <skitt@debian.org>
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 nasm,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/smallerc
Vcs-Git: https://salsa.debian.org/debian/smallerc.git
Homepage: https://github.com/alexfru/SmallerC
Rules-Requires-Root: no

Package: smallerc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, nasm
Description: single-pass C compiler for 16- and 32-bit x86/MIPS platforms
 Smaller C is a simple single-pass C compiler with support for most of
 C89 and C99. It targets 16- and 32-bit x86, and MIPS, on DOS,
 Windows, Linux, and older versions of macOS.
 .
 Smaller C is primarily useful for building DOS and UEFI binaries.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_configure:

override_dh_auto_build:
	dh_auto_build -- prefix=/usr

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      versionmangle=s/[~+].*//,\
      repacksuffix=+dfsg" \
     https://github.com/alexfru/SmallerC/tags \
     (?:.*?/)?v?(\d[\d.]*).*\.tar\.gz debian uupdate
